import express from "express";
import { PaymentBatchCard } from "$controllers/index.js";
import { checkPermission } from "$middlewares/index.js";

const router = express.Router();

router.get("/", checkPermission("paymentBatchCards:view"), PaymentBatchCard.ALL);
router.get(
  "/:id/export",
  checkPermission("paymentBatchCards:view"),
  PaymentBatchCard.EXPORT,
);
router.get("/:id", checkPermission("paymentBatchCards:view"), PaymentBatchCard.SINGLE);
router.post(
  "/",
  checkPermission("paymentBatchCards:create"),
  PaymentBatchCard.CREATE,
);
router.delete(
  "/:id",
  checkPermission("paymentBatchCards:delete"),
  PaymentBatchCard.DELETE,
);

export default router;
